This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 410461 - virt-manager console behaviour in xinerama
virt-manager console behaviour in xinerama
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 10:09 EST by Daniel Veillard
Modified: 2008-01-22 10:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Veillard 2007-12-04 10:09:15 EST
Description of problem:

Opening a 1280x1024 domain console (FV WinXP/Xen)
on a xinerama 3200x1200 display the console takes
nearly all available screen estate

Version-Release number of selected component (if applicable):

virt-manager-0.5.2-2.fc8


How reproducible:

always for me

Steps to Reproduce:
1. Xinerama, large
2. domain with display height close to the xinerama one
3.
  
Actual results:

console takes nearly all screen

Expected results:

normal rendering of console

Additional info:

fixing /usr/share/virt-manager/virtManager/console.py in 
_force_resize to
   if w > maxw or h > maxh:
       self.window.get_widget("console-vnc-viewport").set_size_request(w,h)
       self.window.get_widget("console-screenshot-viewport").set_size_request(w, h)

  fixed the problem

Daniel
Comment 1 Fedora Update System 2008-01-11 17:23:33 EST
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'
Comment 2 Fedora Update System 2008-01-22 10:52:13 EST
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.